
#import "ESPN.js"

/**
 *       Function: espnTest_goToESPN()
 *           Go to Main Menu>ESPN and highlight item.
 *   
 *  \param itemName (string) - item on main menu to highlight
 *  \param takeHeap (string) - (optional) true to collect process information
 *  \param processName (string) - (optional) process to take information
 *  \param infoFlags (string) - (optional) flag for information to take
 *   
 *  \return 1 if successfully signed in, otherwise 0
 **/

function espnTest_goToESPN() {
    if (this.argv.length < 1) {
        this.testError = "Item to highlight is required";
        return this.testResult = 0;
    }
    var itemName = this.argv[0];
    var takeHeap = false;
    var processName = undefined;
    var infoFlags = undefined;
    if (this.argv.length >= 3) {
        if (this.argv[1].toUpperCase() == "TRUE") {
            takeHeap = true;
        }
        processName = this.argv[2];
        if (this.argv.length >= 4) {
            infoFlags = this.argv[3];
        }
        else {
            infoFlags = "";
        }
    }

    if ( ! espn.goToAndHighlight(itemName)) {
        this.testError = "Failed to highlight item";
        this.testResult = 0;
    }
    else {
        this.testResult = 1;
    }

    if (takeHeap) {
        // wait 5 seconds before taking heap
        atvaTarget.delay(5);
        var output = new ATVAOutput("/var/root/heaps");
        output.addInfomationToCollect(processName, infoFlags);
        output.collectProcessInfomation("On Main Menu>ESPN>" + itemName);
    }
    return this.testResult;
}
